## lv2-gtk-ui-bridge 0.1

=== Makefile ===
# Copyright 2024 Filipe Coelho <falktx@falktx.com>
# SPDX-License-Identifier: ISC

# ---------------------------------------------------------------------------------------------------------------------
# Set C / C++ language version and base flags

CFLAGS += -std=c11 -Wall -Wextra -Wno-unused-value
CXXFLAGS += -std=c++11 -Wall -Wextra -Wno-unused-value

# ---------------------------------------------------------------------------------------------------------------------
# Use vendored LV2 if available

ifneq (,$(wildcard lv2/include))
LV2_FLAGS = -Ilv2/include
else
LV2_FLAGS = $(shell pkg-config --cflags --libs lv2)
endif

# ---------------------------------------------------------------------------------------------------------------------
# Set per-system flags

TARGET_MACHINE := $(shell $(CC) -dumpmachine)

ifneq (,$(findstring apple,$(TARGET_MACHINE)))
CFLAGS += -Wno-deprecated-declarations
CXXFLAGS += -Wno-deprecated -Wno-deprecated-declarations
SERVER_FLAGS = -fPIC -dynamiclib
else ifneq (,$(findstring mingw,$(TARGET_MACHINE)))
APP_EXT = .exe
CFLAGS += -mstackrealign
CXXFLAGS += -mstackrealign
LDFLAGS += -static
SERVER_FLAGS = -shared -Wl,-no-undefined
else
CLIENT_FLAGS = -ldl
SERVER_FLAGS = -fPIC -shared -Wl,-no-undefined
SHM_LIBS = -lrt
endif

# ---------------------------------------------------------------------------------------------------------------------
# Build targets

TARGETS  = lv2-gtk-ui-bridge.lv2/lv2-gtk-ui-bridge.so
TARGETS += lv2-gtk-ui-bridge.lv2/lv2-gtk2-ui-bridge$(APP_EXT)
TARGETS += lv2-gtk-ui-bridge.lv2/lv2-gtk3-ui-bridge$(APP_EXT)

# ---------------------------------------------------------------------------------------------------------------------

all: $(TARGETS)

lv2-gtk-ui-bridge.lv2/lv2-gtk-ui-bridge.so: src/ui-server.c src/ipc/*.h
	$(CC) $< $(CFLAGS) $(LDFLAGS) $(LV2_FLAGS) $(SERVER_FLAGS) $(SHM_LIBS) -o $@

lv2-gtk-ui-bridge.lv2/lv2-gtk2-ui-bridge$(APP_EXT): src/ui-client.c src/ipc/*.h
	$(CC) $< $(CFLAGS) $(LDFLAGS) $(LV2_FLAGS) $(shell pkg-config --cflags --libs gtk+-2.0 lilv-0 x11) -DUI_GTK2 $(CLIENT_FLAGS) $(SHM_LIBS) -Wno-deprecated-declarations -o $@

lv2-gtk-ui-bridge.lv2/lv2-gtk3-ui-bridge$(APP_EXT): src/ui-client.c src/ipc/*.h
	$(CC) $< $(CFLAGS) $(LDFLAGS) $(LV2_FLAGS) $(shell pkg-config --cflags --libs gtk+-3.0 lilv-0 x11) -DUI_GTK3 $(CLIENT_FLAGS) $(SHM_LIBS) -Wno-deprecated-declarations -o $@

# ---------------------------------------------------------------------------------------------------------------------

test: src/test.c src/ipc/*.h
	$(CC) $< $(CFLAGS) $(LDFLAGS) $(SHM_LIBS) -o $@$(APP_EXT)

testxx: src/test.c src/ipc/*.h
	$(CXX) $< $(CXXFLAGS) $(LDFLAGS) $(SHM_LIBS) -o $@$(APP_EXT)

clean:
	rm -f $(TARGETS) test testxx *.exe

=== debian/changelog ===
lv2-gtk-ui-bridge (0.1-1librazik1) bookworm; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK-5.
    - depuis un paquet Kxstudio.
  * d/changelog :
    - suppression du numéro epoch.
  * d/p/1000-add_triceratops :
    - ajout de la rustine (avec dquilt).
  * d/rules :
    - suppression des spécificités de KXstudio.
  * d/control :
    - (re-)mise à jour de "Maintainer" et de "Uploaders" en conformité avec
      "debian-policy 5.6.2 and 5.6.3".
    - suppression des spécificités de KXstudio.
    - dépendances de construction :
      + liblilv-static -> liblilv-dev.
    - description :
      + (ré-)ajout d'une mention au projet LibraZiK.
  * d/copyright :
    - ajout de moi-même à la section copyright de l'empaquetage debian.

 -- Olivier Humbert <trebmuh@librazik.org>  Sat, 23 Aug 2025 16:29:45 +0200

lv2-gtk-ui-bridge (6:0.1-1kxstudio1) focal; urgency=medium

  * Initial package

 -- falkTX <falktx@falktx.com>  Sat, 11 May 2024 02:28:04 +0200

=== debian/control ===
Source: lv2-gtk-ui-bridge
Section: sound
Priority: optional
Maintainer: Équipe LibraZiK <librazik@tuxfamily.org>
Uploaders:
 Olivier Humbert <trebmuh@tuxfamily.org>,
 falkTX <falktx@falktx.com>
Build-Depends:
  debhelper-compat (= 13),
  libgtk2.0-dev,
  libgtk-3-dev,
  lv2-dev,
  libx11-dev,
  pkg-config,
  liblilv-dev
Standards-Version: 4.5.0
Homepage: https://github.com/falkTX/lv2-gtk-ui-bridge
Rules-Requires-Root: no

Package: lv2-gtk-ui-bridge
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: lv2-plugin
Description: LV2 Gtk2/3 UIs as LV2 X11 UIs
 lv2-gtk-ui-bridge is a special LV2 bundle that allows to use legacy LV2 Gtk2/3 UIs as LV2 X11 UIs.
 This increases the compatibility of such UIs to hosts that do not support the legacy UI types.
 .
 LibraZiK audio studio package 2025 ©
 .
 Imported from KXstudio repositories.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:


%:
	dh $@
